package com.ycwl.basic.controller.mobile;

import com.ycwl.basic.annotation.IgnoreToken;
import com.ycwl.basic.model.pc.order.req.OrderAddOrUpdateReq;
import com.ycwl.basic.model.pc.order.req.OrderReqQuery;
import com.ycwl.basic.model.pc.order.resp.OrderAppRespVO;
import com.ycwl.basic.model.wx.WxPayRespVO;
import com.ycwl.basic.service.pc.OrderService;
import com.ycwl.basic.utils.ApiResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：longbinbin
 * @Date：2024/12/4 17:16
 */
@RestController
@RequestMapping("/api/mobile/order/v1")
@Api(tags = "订单相关接口")
public class AppOrderController {

    @Autowired
    private OrderService orderService;

    @ApiOperation("用户端订单列表查询")
    @PostMapping("/page")
    @IgnoreToken
    public ApiResponse pageQuery(@RequestBody OrderReqQuery orderReqQuery) {
        //TODO 添加用户openid查询条件,仅查询当前用户自己的订单

        return orderService.appPageQuery(orderReqQuery);
    }
    @ApiOperation("用户端订单详情查询")
    @GetMapping("getOrderDetails/{id}")
    @IgnoreToken
    public ApiResponse<OrderAppRespVO> getOrderDetails(@PathVariable("id") Long id) {
        return orderService.appDetail(id);
    }

    @ApiOperation("用户端订单新增")
    @PostMapping("/addOrder")
    public ApiResponse<WxPayRespVO> addOrder(@RequestBody OrderAddOrUpdateReq orderAddReq) throws Exception {
        return  orderService.add(orderAddReq);
    }


    @ApiOperation("获取用户订单数量")
    @GetMapping("/getUserOrderCount")
    public ApiResponse getUserOrderCount() {
        //TODO 获取用户信息
        Long userId = 1L;

        return orderService.getOrderCountByUserId(userId);
    }

}
