package com.ycwl.basic.model.pc.scenic.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ycwl.basic.model.pc.scenic.entity.ScenicConfigEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/02 10:24
 * 景区管理表
 */
@Data
@ApiModel("查询景区列表响应参数")
public class ScenicRespVO {
    private Long id;
    /**
     * 景区名称
     */
    @ApiModelProperty("景区名称")
    private String name;
    /**
     * 账号
     */
    @ApiModelProperty("账号")
    private String account;
    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String phone;
    /**
     * 景区介绍
     */
    @ApiModelProperty("景区介绍")
    private String introduction;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private BigDecimal longitude;
    /***
     * 纬度
     */
    @ApiModelProperty("纬度")
    private BigDecimal latitude;
    /**
     * 半径（km）
     */
    @ApiModelProperty("半径（km）")
    private BigDecimal radius;
    /**
     * 省份
     */
    @ApiModelProperty("省份")
    private String province;
    /**
     * 城市
     */
    @ApiModelProperty("城市")
    private String city;
    /**
     * 区
     */
    @ApiModelProperty("区")
    private String area;
    /**
     * 详细地址
     */
    @ApiModelProperty("详细地址")
    private String address;
    /**
     * 状态 1启用0关闭
     */
    @ApiModelProperty("状态 1启用0关闭")
    private String status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    @ApiModelProperty("景区配置")
    private ScenicConfigEntity scenicConfig;
    @ApiModelProperty("景区源素材价格，元")
    private BigDecimal price;
}
