package com.ycwl.basic.model.pc.video.req;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ycwl.basic.model.common.BaseQueryParameterReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 15:28
 * 视频成片
 */
@Data
@ApiModel("成片查询请求类")
public class VideoReqQuery extends BaseQueryParameterReq {
    /**
     * 景区id
     */
    @ApiModelProperty("景区id")
    private Long scenicId;
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long memberId;
    /**
     * 模版id
     */
    @ApiModelProperty("模版id")
    private Long templateId;
    /**
     * 任务id
     */
    @ApiModelProperty("任务id")
    private Long taskId;
    /**
     * 执行任务的机器ID，render_worker.id
     */
    @ApiModelProperty("执行任务的机器ID，render_worker.id")
    private Long workerId;
    /**
     * 视频链接
     */
    @ApiModelProperty("视频链接")
    private String videoUrl;
    @ApiModelProperty("是否购买 1是 0否")
    private Integer isBuy;
    private Date startTime;
    private Date endTime;
}
