package com.ycwl.basic.model.pc.video.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ycwl.basic.model.common.BaseQueryParameterReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 15:28
 * 视频成片
 */
@Data
@ApiModel("成片响应数据类")
public class VideoRespVO {
    private Long id;
    /**
     * 景区id
     */
    @ApiModelProperty("景区id")
    private Long scenicId;
    @ApiModelProperty("景区名称")
    private String scenicName;
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long memberId;
    /**
     * 模版id
     */
    @ApiModelProperty("模版id")
    private Long templateId;
    @ApiModelProperty("模版名称")
    private String templateName;
    @ApiModelProperty("模版价格")
    private BigDecimal tmplatePrice;
    @ApiModelProperty("经度")
    private BigDecimal longitude;
    @ApiModelProperty("纬度")
    private BigDecimal latitude;
    /**
     * 任务id
     */
    @ApiModelProperty("任务id")
    private Long taskId;
    /**
     * 执行任务的机器ID，render_worker.id
     */
    @ApiModelProperty("执行任务的机器ID，render_worker.id")
    private Long workerId;
    /**
     * 视频链接
     */
    @ApiModelProperty("视频链接")
    private String videoUrl;
    @ApiModelProperty("是否购买 1是 0否")
    private Integer isBuy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
}
